diff --git a/berkeley-function-call-leaderboard/bfcl_eval/constants/model_config.py b/berkeley-function-call-leaderboard/bfcl_eval/constants/model_config.py
index f06d726..ffa67e4 100644
--- a/berkeley-function-call-leaderboard/bfcl_eval/constants/model_config.py
+++ b/berkeley-function-call-leaderboard/bfcl_eval/constants/model_config.py
@@ -75,7 +75,7 @@ from bfcl_eval.model_handler.local_inference.think_agent import ThinkAgentHandle
 @dataclass
 class ModelConfig:
     """
-    Model configuration class for storing model metadata and settings. 
+    Model configuration class for storing model metadata and settings.
 
     Attributes:
         model_name (str): Name of the model as used in the vendor API or on Hugging Face (may not be unique).
@@ -1097,9 +1097,9 @@ api_inference_model_map = {
         underscore_to_dot=True,
     ),
     "kimi-k2-0711-preview-FC": ModelConfig(
-        model_name="moonshotai/Kimi-K2-Instruct",
-        display_name="Moonshotai-Kimi-K2-Instruct (FC)",
-        url="https://huggingface.co/moonshotai/Kimi-K2-Instruct",
+        model_name="moonshotai/Kimi-K2-Instruct-0905",
+        display_name="Moonshotai-Kimi-K2-Instruct-0905 (FC)",
+        url="https://huggingface.co/moonshotai/Kimi-K2-Instruct-0905",
         org="MoonshotAI",
         license="modified-mit",
         model_handler=KimiHandler,
@@ -1108,10 +1108,10 @@ api_inference_model_map = {
         is_fc_model=True,
         underscore_to_dot=True,
     ),
-    "kimi-k2-0711-preview": ModelConfig(
-        model_name="moonshotai/Kimi-K2-Instruct",
-        display_name="Moonshotai-Kimi-K2-Instruct (Prompt)",
-        url="https://huggingface.co/moonshotai/Kimi-K2-Instruct",
+    "kimi-k2-0905": ModelConfig(
+        model_name="moonshotai/Kimi-K2-Instruct-0905",
+        display_name="Moonshotai-Kimi-K2-Instruct-0905 (Prompt)",
+        url="https://huggingface.co/moonshotai/Kimi-K2-Instruct-0905",
         org="MoonshotAI",
         license="modified-mit",
         model_handler=KimiHandler,
diff --git a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/api_inference/kimi.py b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/api_inference/kimi.py
index b0bde9f..77c1e01 100644
--- a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/api_inference/kimi.py
+++ b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/api_inference/kimi.py
@@ -15,9 +15,9 @@ class KimiHandler(OpenAICompletionsHandler):
         super().__init__(model_name, temperature, registry_name, is_fc_model, **kwargs)
 
         self.client = OpenAI(
-            # base_url="https://api.moonshot.ai/v1", 
+            # base_url="https://api.moonshot.ai/v1",
             # If API Key is from US platform, use the above URL
             # If API Key is from China platform, use the below URL
-            base_url="https://api.moonshot.cn/v1", 
+            base_url="https://llm.chutes.ai/v1",
             api_key=os.getenv("KIMI_API_KEY")
         )
diff --git a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/base_handler.py b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/base_handler.py
index a1025e9..4764cb2 100644
--- a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/base_handler.py
+++ b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/base_handler.py
@@ -282,7 +282,7 @@ class BaseHandler:
                         break
 
                 except Exception as e:
-                    print("Failed to decode the model response. Proceed to next turn.")
+                    print(f"Failed to decode the model response. Proceed to next turn, {model_responses=}")
                     current_step_inference_log.append(
                         {
                             "role": "handler_log",
@@ -574,7 +574,7 @@ class BaseHandler:
                         break
 
                 except Exception as e:
-                    print("Failed to decode the model response. Proceed to next turn.")
+                    print(f"Failed to decode the model response. Proceed to next turn, {model_responses=}")
                     current_step_inference_log.append(
                         {
                             "role": "handler_log",
diff --git a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/local_inference/base_oss_handler.py b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/local_inference/base_oss_handler.py
index c7a7b4f..94e51bc 100644
--- a/berkeley-function-call-leaderboard/bfcl_eval/model_handler/local_inference/base_oss_handler.py
+++ b/berkeley-function-call-leaderboard/bfcl_eval/model_handler/local_inference/base_oss_handler.py
@@ -41,9 +41,10 @@ class OSSHandler(BaseHandler, EnforceOverrides):
         # Read from env vars with fallbacks
         self.local_server_endpoint = os.getenv("LOCAL_SERVER_ENDPOINT", "localhost")
         self.local_server_port = os.getenv("LOCAL_SERVER_PORT", LOCAL_SERVER_PORT)
+        self.local_server_api_key = os.getenv("LOCAL_SERVER_API_KEY", "EMPTY")
 
         self.base_url = f"http://{self.local_server_endpoint}:{self.local_server_port}/v1"
-        self.client = OpenAI(base_url=self.base_url, api_key="EMPTY")
+        self.client = OpenAI(base_url=self.base_url, api_key=self.local_server_api_key)
 
     @override
     def inference(
